com.smartgwt.client.tools

## Class SelectionOutline

- java.lang.Object
- - com.smartgwt.client.tools.SelectionOutline

-     public class SelectionOutline
      extends java.lang.Object

  This static singleton class implements a component that can be used to highlight any other Canvas or FormItem by drawing a line around it and optional label. The selection outline moves, resizes and hides with the target object, and does not occlude any part of it. The outline is not a peer, child or member of the target object; the target object does not know about the outline.

  NOTE: This class is for internal use only by EditContext.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SelectionOutline()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `getBorder()` Returns the CSS border of this component.
    `static void` | `getLabelBackgroundColor()` Returns the background color for the selection label.
    `static void` | `setBorder(java.lang.String border)` Set the CSS border of this component as a CSS string including border-width, border-style, and/or color (eg "1px dashed blue").
    `static void` | `setLabelBackgroundColor(java.lang.String color)` Set the background color for the selection label.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SelectionOutline

          public SelectionOutline()

  - ### Method Detail

    - #### getBorder

          public static void getBorder()

      Returns the CSS border of this component.

    - #### getLabelBackgroundColor

          public static void getLabelBackgroundColor()

      Returns the background color for the selection label.

    - #### setBorder

          public static void setBorder(java.lang.String border)

      Set the CSS border of this component as a CSS string including border-width, border-style, and/or color (eg "1px dashed blue").

      This property applies the same border to all four sides of this component.

      Parameters:
        `border` - css border string

    - #### setLabelBackgroundColor

          public static void setLabelBackgroundColor(java.lang.String color)

      Set the background color for the selection label. It corresponds to the CSS background-color attribute. You can set this property to an RGB value (e.g. #22AAFF) or a named color (e.g. red) from a list of browser supported color names.
      Parameters:
        `color` - css color